{ pkgs
, config
, ...}: {
  services.home-assistant = {
    enable = true;
    config = null;
    configDir = "/nix/persist/service/hass";

    extraComponents = [
      "default_config"
      "met"
      "esphome"
      "mqtt"
      "synology_dsm"
    ];

    extraPackages = python3Packages: with python3Packages; [
      aiogithubapi gtts radios
    ];
  };

  nixpkgs.config.permittedInsecurePackages = [ "openssl-1.1.1w" ];

  global.fs.zfs.mountpoints."/nix/persist/service/hass" = "service/hass";
}
